
Core - Feature # 38123

Feature # 31893 (Resolved): Allow XCLASSes to be defined via ext_autoload.php

Status: Resolved Priority: Should have
Author: Jigal van Hemert Category: Reports
Created: 2012-06-16 Assigned To: Jigal van Hemert
Updated: 2012-06-17 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Add check to Reports module for usage of old XCLASS method
Description

The new XCLASS handling logs usage of the old way in the deprecation log, but for administrators it is useful to see an overview of
where the old way is still in use in an installation.

Associated revisions
Revision 6e2e47bf - 2012-06-17 11:31 - Jigal van Hemert

[FEATURE] Check in Reports module for old XCLASS methods

Reports module shows where old XCLASS methods are still used.

Change-Id: Ic67815b0af87b7fbf6c5a380ae7b2f4ab37d8398
Resolves: #38123
Releases: 6.0
Reviewed-on: http://review.typo3.org/12140
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Felix Kopp
Revision f50c8e48 - 2012-06-23 23:42 - Jigal van Hemert

[FEATURE] Check in Reports module for old XCLASS methods

Reports module shows where old XCLASS methods are still used.
Releases: 6.0
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-06-16 23:51 - Jigal van Hemert
- File reports_xclass_notfound.png added
- File reports_xclass_found.png added

#2 - 2012-06-16 23:55 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12140

#3 - 2012-06-17 00:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12140

#4 - 2012-06-17 12:30 - Jigal van Hemert
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6e2e47bf54f9439d6848990e96c602e93cc41997.
